Bonuses
Cette page n'est pas disponible en français. La version anglaise est affichée.
Claim a temporary bonus
Use this method to claim a temporary bonus for a client in the Trader's Room.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
temporaryId*integer
The identifier of a temporary bonus.
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/bonuses/temporary/1/claim" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{ "accountId": 1 }'{ "id": 1, "amount": { "value": "100.00", "scale": 16 }, "name": "MT5", "default": 100, "currency": { "alphabeticCode": "USD", "minorUnit": 2, "name": "US Dollar", "numericCode": 840 }, "dynamicLots": { "value": "1.00", "scale": 16 }, "claimed": false, "volumeToComplete": { "value": "1.00", "scale": 2 }, "platform": { "id": 1, "name": "MetaTrader 5", "caption": "MetaTrader5 Live", "type": "MetaTrader5", "isDemo": true, "terminalUrl": "https://example.com" }, "platformGroups": [ "USDCZK" ], "lifetime": 30, "enableAutoCredit": true, "scalpingThreshold": 120, "disabledGroups": "‘EURJPY, USDJPY’", "enableTrade": true, "expiredAt": "2022-01-01T00:00:00+00:00", "createdAt": "2022-01-01T00:00:00+00:00", "updatedAt": "2022-01-01T00:00:00+00:00"}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Forbidden" }}{ "error": { "message": "Not Found" }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}